@import "../../../style/index.scss";

$height: calc(100vh - 120px);

.banner{
  position: relative;

  height: $height;

  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;

  &:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,.5);
    z-index: -1;
  }
  
  &__box{
    display: flex;
    flex-direction: column;
    justify-content: center;
    
    height: $height;
    padding: 0 20px;
  }

  &__title{
    line-height: 2em;
  }

  &__text,
  &__title{
    color: $white; 
  }

  &__slider{
    position: absolute;
    left: 0;
    right: 0;
    z-index: -1;

    display: flex;
    overflow: hidden;

    &-item{
      position: relative;

      flex-shrink: 0;

      width: 100%;
      height: $height;

      background-repeat: no-repeat;
      background-size: cover;
      background-position: center;

      transition: 1s ease-in;
    }
  }
}